[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Arch Linux: detect packages which need build

Holger Levsen holger at layer-acht.org
Sat Dec 9 21:10:07 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 8632fe1cfd71d16a431c7e88c87efbf86d143e03
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sat Dec 9 21:10:01 2017 +0000

    reproducible Arch Linux: detect packages which need build
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_html_archlinux.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/bin/reproducible_html_archlinux.sh b/bin/reproducible_html_archlinux.sh
index 5d20002..4a58890 100755
--- a/bin/reproducible_html_archlinux.sh
+++ b/bin/reproducible_html_archlinux.sh
@@ -81,9 +81,11 @@ for REPOSITORY in $ARCHLINUX_REPOS ; do
 						VERSION="undetermined"
 					fi
 				done
-				if ! $blacklisted ; then
-					echo "$(date -u )   - cannot determine state of $PKG from '$REPOSITORY', please check $ARCHLINUX_PKG_PATH yourself."
+				if ! $blacklisted && [ -f $ARCHLINUX_PKG_PATH/pkg.needs_build ] ; then
+					echo "$(date -u )   - ok, $PKG from '$REPOSITORY' needs build, this should go away by itself."
 					continue
+				elif ! $blacklisted ; then
+					echo "$(date -u )   - cannot determine state of $PKG from '$REPOSITORY', please check $ARCHLINUX_PKG_PATH yourself."
 				fi
 			fi
 			if [ "$VERSION" != "undetermined" ] || $blacklisted ; then

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list